﻿using System;

namespace Coscine.Database.ReturnObjects
{
    [Serializable]
    public class GitlabResourceTypeObject : ResourceTypeOptionObject
    {
        public Guid Id { get; set; }
        public string BranchName { get; set; }
        public int ProjectId { get; set; }
        public Uri RepositoryUrl { get; set; }
        public string AccessToken { get; set; }

        public GitlabResourceTypeObject(Guid id, string branchName, int projectId, string repoUrl, string accessToken)
        {
            Id = id;
            BranchName = branchName;
            ProjectId = projectId;
            RepositoryUrl = new Uri(repoUrl);
            AccessToken = accessToken;
        }
    }
}
